| Home | Libraries | People | FAQ | More

##### out

###### Description

Write a Sequence to an output stream.

###### Synopsis

    template <typename OStream, typename Sequence>
    OStream&
    operator<<(OStream& os, Sequence& seq);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
os | An output stream. | Stream to write information to.
seq | A Sequence. | The sequence to write.

###### Expression Semantics

    os << seq

Return type: OStream&

Semantics: For each element, `e`, in sequence, `seq`, call `os << e`.

###### Header

    #include <boost/fusion/sequence/io/out.hpp>
    #include <boost/fusion/include/out.hpp>

###### Example

    std::cout << make_vector(123, "Hello", 'x') << std::endl;